# Calculating biomass per tree (ABOVEGROUND & COARSE ROOTS), 
# for HF C synthesis live tree compilation.
# Audrey Barker Plotkin

setwd('Fill in Your Path')

alltree<-read.csv('hf-c-trees-gmr-2oct17.csv', sep = ",") #, quote = ""
str(alltree)
nodbh<-subset(alltree, is.na(alltree$dbh) & alltree$cond!='M')

# current biomass
alltree["biomassAF20"] <- NA
source('biomassAF20-nov2016.R')
  #From rows 1 to the total number of rows, calculate the biomass of each tree and add it to the row of that tree and put it in the column biomass
  for(i in 1:nrow(alltree)) {
    alltree$biomassAF20[i] <- biomassAF20(alltree$species[i], alltree$dbh[i])
  }

# prior biomass
alltree["biomasspriorAF20"] <- NA
source('biomassAF20-nov2016.R')
#From rows 1 to the total number of rows, calculate the biomass of each tree and add it to the row of that tree and put it in the column biomass
for(i in 1:nrow(alltree)) {
  alltree$biomasspriorAF20[i] <- biomassAF20(alltree$species[i], alltree$dbhprior[i])
}


#CALCULATE COARSE ROOT BIOMASS BASED ON JENKINS et al. 2003 HW/SW RATIO
# coarse root (current) biomass ratio of total aboveground
alltree["rootratio"] <- NA
source('biomasscoarserootshwsw.R')
#From rows 1 to the total number of rows, calculate the biomass of each tree and add it to the row of that tree and put it in the column biomass
for(i in 1:nrow(alltree)) {
  alltree$rootratio[i] <- rootratio(alltree$species[i], alltree$dbh[i])
}

alltree["rootratioprior"] <- NA
source('biomasscoarserootshwsw.R')
#From rows 1 to the total number of rows, calculate the biomass of each tree and add it to the row of that tree and put it in the column biomass
for(i in 1:nrow(alltree)) {
  alltree$rootratioprior[i] <- rootratio(alltree$species[i], alltree$dbhprior[i])
}

### FOR THE ROOT BIOMASS ONLY ###
tiny<-subset(alltree, alltree$dbh<2.5)
# because the ratios are meant for trees >2.5cm dbh, replace those rootratios with NA
alltree$rootratio<-ifelse(alltree$dbh<2.5, NA, alltree$rootratio)
alltree$rootratioprior<-ifelse(alltree$dbhprior<2.5, NA, alltree$rootratioprior)

#Make columns for current and prior coarse root biomass (kg)
alltree$coarserootKg<- alltree$biomassAF20*alltree$rootratio
alltree$coarserootKgprior<- alltree$biomasspriorAF20*alltree$rootratioprior


write.table(alltree, "C:/Users/aabarker/Dropbox/HF C Synthesis/Data/live trees/biomass-by-tree-gmr-2oct17.csv", sep = ",", row.names = FALSE)

################# end #################