# script to calculate coarse root biomass from all HF live tree data, based on a proportion of coarse roots to total aboveground.
# written by A. Barker Plotkin, February 2017

# the sources for most of this is Jenkins, J.C., D.C. Chojnacky. L.S. Heath & R.A. Birdsey. 2003. National-scale biomass estimators for United States tree species. Forest Science 49:12-35.

#calculate biomass
rootratio<-function(species, dbh_cm){
  rootratio<-0
 
  if(species %in% c("ACPE", "ACRU", "ACSA", "ACSC","ACSP", "ALIN", "BEAL", "BELE", "BEPA", "BEPO","BESP", "CACA", "CADE", "CAGL",
                            "CAOV", "CASP", "FAGR", "FRAM", "FRNI", "HAVI", "MASP", "NYSY", "OSVI", "PHSP", "POGR", "POTR","POSP", "PRPE", "PRSE",
                            "PRVI", "QUAL", "QUBI", "QUCO", "QURU", "QUVE", "ROPS", "SOAM", "TIAM", "ULAM", "ULSP", "UNK")) 
   {rootratio = exp(-1.6911+(0.8160/dbh_cm)) }

 if(species %in% c("ABBA", "JUVI", "LASP", "LADE", "PIRE", "PIRI", "PIRU", "PI", "PIAB", "PIGL", "PISP", "PIST", "PISY", "THOC", "TSCA"))
   {rootratio = exp(-1.5619+(0.6614/dbh_cm)) }

  return(rootratio)
}
